#!/bin/sh
(sleep 2; xdg-open webui/baresip4renavisio.html) &
if ps -A | grep "baresip" > /dev/null
then
	echo "#######################################"
	echo "BareSIP is already running"
	echo "#######################################"
    exit 1
else
	int="$(ip -c a | grep POINTOPOINT  | awk '{split($0,a,":"); print a[2]}' | sed -e 's/ //g' | sed -r 's/[[:cntrl:]]\[[0-9]{1,3}m//g')" 
	echo $int
	if [ -z "$int" ]; then
		LD_LIBRARY_PATH=`pwd`/lib ./bin/baresip -f ./.baresip
	else
		LD_LIBRARY_PATH=`pwd`/lib ./bin/baresip -f ./.baresip -n $int
	fi
fi

